解决vue-cli3配置babel-polyfill的问题

解决vue-cli3配置babel-polyfill的问题

  1. 首先安装babel-polyfill
npm install --save @babel/polyfill
  1. main.js中引入,记得要放最上方
import 'babel-polyfill'
  1. vue.config.js中配置
module.exports = {

    // 在exports中添加,这里很关键,不配置不行
    transpileDependencies: ['element-ui'],

    
    chainWebpack(config) {
          // 在chainWebpack中添加下面的代码
          config.entry('main').add('babel-polyfill') // main是入口js文件
    }  

}

阅读 5.2k

推荐阅读